.kit.list {
  $color-border-separator: $gray-800;
  $color-dark-border-separator: $gray-200;
  padding: 0;
  margin: 0;
  &.cursor.none {
    > .item {
      cursor: default;
    }
  }
  > .item {
    display: block;
    text-decoration: none;
    cursor: pointer;
    &.active, &.disabled {
      cursor: default !important;
    }
    > .block.small {
      display: flex;
      flex-flow: row nowrap;
      justify-content: flex-start;
      align-items: center;
      padding-left: 0.75rem;
      padding-top: 0.75rem;
      padding-bottom: 0.75rem;
      .title {
        font-size: 0.8125rem;
        line-height: 1.2;
        color: $black;
        font-weight: 700;
        padding: 0 0.5rem;
      }
    }
    > .block.tiny {
      display: flex;
      flex-flow: row nowrap;
      justify-content: flex-start;
      align-items: center;
      padding-left: 0.75rem;
      padding-top: 0.5rem;
      padding-bottom: 0.5rem;
      .title {
        font-size: 0.8125rem;
        line-height: 1.2;
        color: $black;
        font-weight: 500;
        padding: 0 0.5rem;
      }
    }
  }
  &.text-gray-small {
    > .item {
      font-size: 0.8125rem;
      line-height: 1.2;
      font-weight: 400;
      color: $gray-600;
    }
  }
  &.horizontal {
    display: block;
    &.circleseparator {
      > .item {
        white-space: nowrap;
        cursor: default;
        &:not(:first-child):before {
          content: '•';
          display: inline-block;
          padding: 0 4px 0 2px;
        }
        &.title + .item:before {
          content: '';
        }
      }
    }
    > .item {
      display: inline-block;
    }
  }
  &.vertical {
    display: block;
    &.small {
      margin: 0 -0.75rem;
      & > * {
        padding: 0 0.75rem !important;
      }
    }
    &.tiny {
      margin: 0 -0.75rem;
      & > * {
        padding: 0 0.5rem !important;
      }
    }
  }
  &.space {
    &.small {
      > .item {
        display: block;
        width: 100%;
        height: auto;
        margin-bottom: 0.75rem;
        cursor: pointer;
        text-decoration: none;
      }
    }
    &.h-40 {

    }
  }
  &.withseparator {
    padding: 0 0.75rem;
    &.p-none {
      padding: 0;
      > .item {
        padding: 0;
      }
    }
    &.p-medium {
      padding: 0;
      > .item {
        padding: 0.5rem 0;
      }
    }
    > .item {
      display: block;
      width: 100%;
      height: auto;
      padding-top: 1rem;
      padding-bottom: 1rem;
      border-top: 1px solid $color-border-separator;
      cursor: pointer;
      &:first-child {
        border-top: none;
      }
    }
    &.down {
      > .item {
        border-top: 0;
        border-bottom: 1px solid $color-border-separator;
      }
    }
    &.darkgray {
      > .item {
        border-top-color: $color-dark-border-separator;
      }
    }
    &.darkgray.down {
      > .item {
        border-bottom-color: $color-dark-border-separator;
      }
    }
  }
  &.checkbox.desktop {
    .item {
      line-height: 1rem;
      &.withseparator {
        padding-bottom: 1rem;
        .line {
          display: block;
          width: 100%;
          height: 1px;
          margin-left: 0.5rem;
          background-color: $gray-800;
        }
      }
      .list.ml-24 {
        margin-left: 1.5rem;
      }
      .list.mt-item-8 {
        > .item {
          margin-top: 0.5rem;
        }
      }
    }
    .list.mt-item-16 {
      > .item {
        margin-top: 1rem;
      }
    }
  }
  &.hover.lightblue
  > .item:hover,
  > .item.active {
    background-color: $blue-600;
  }



  &.submenu {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: stretch;
    width: 100%;
    > .item {
      display: flex;
      justify-content: space-between;
      align-items: center;
      height: 3rem;
      padding-left: 1.5rem;
      font-size: 0.8125rem;
      font-weight: 700;
      color: #272727;
      border-bottom: 1px double #dbe4e9;
      border-top: 1px solid transparent;
      position: relative;
      &.active {
        background-color: transparent;
        &:before {
          content: '';
          position: absolute;
          left: 0;
          top: -1px;
          width: 2px;
          background: #4272a4;
          height: 47px;
        }
      }
      &:hover, &.active:hover {
        background-color: #e4ebf6;
      }
    }
  }
}